VkDeviceQueueCreateInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkDeviceQueueCreateFlags | flags
uint32_t | queueFamilyIndex
uint32_t | queueCount
const float * | pQueuePriorities

## Detailed Description

Definition at line 2025 of file vulkan_core.h.

## Field Documentation

## flags

VkDeviceQueueCreateFlags VkDeviceQueueCreateInfo::flags

Definition at line 2028 of file vulkan_core.h.

## pNext

const void* VkDeviceQueueCreateInfo::pNext

Definition at line 2027 of file vulkan_core.h.

## pQueuePriorities

const float* VkDeviceQueueCreateInfo::pQueuePriorities

Definition at line 2031 of file vulkan_core.h.

Referenced by createDevice().

## queueCount

uint32_t VkDeviceQueueCreateInfo::queueCount

Definition at line 2030 of file vulkan_core.h.

Referenced by createDevice().

## queueFamilyIndex

uint32_t VkDeviceQueueCreateInfo::queueFamilyIndex

Definition at line 2029 of file vulkan_core.h.

Referenced by createDevice().

## sType

VkStructureType VkDeviceQueueCreateInfo::sType

Definition at line 2026 of file vulkan_core.h.

Referenced by createDevice().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h